Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.util.apache.cocoon.xml
Class SynchronizedXMLConsumerWrapper

    java.lang.Object
      fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
          fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
              fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLConsumer
                  fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLConsumerWrapper

All Implemented Interfaces:
  EDU.oswego.cs.dl.util.concurrent.Sync, SynchronizedXMLConsumer, org.apache.excalibur.xml.sax.XMLConsumer, org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class SynchronizedXMLConsumerWrapper

extends AbstractSynchronizedXMLConsumer

Wraps a standard consumer, allowing it to be synchronized in a pipeline

Field Summary

Fields inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLConsumer
`xmlConsumer`

Fields inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`ONE_CENTURY, ONE_DAY, ONE_HOUR, ONE_MINUTE, ONE_SECOND, ONE_WEEK, ONE_YEAR`

Constructor Summary
`SynchronizedXMLConsumerWrapper(org.apache.cocoon.xml.XMLConsumer consumer)`

Method Summary

Methods inherited from class fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLConsumer
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
`acquired, isAcquired`

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
`acquire, attempt, getTokens, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLConsumer
`acquired`

Methods inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`acquire, attempt, release`

Constructor Detail

### SynchronizedXMLConsumerWrapper

    public SynchronizedXMLConsumerWrapper(org.apache.cocoon.xml.XMLConsumer consumer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.